=== debian/changelog ===
ros-foxy-spdlog-vendor (1.1.3-1focal) focal; urgency=high

  * Update quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#25 <https://github.com/ros2/spdlog_vendor/issues/25>)
  * Updated QD links to foxy
  * Updated QD to 1 (#16 <https://github.com/ros2/spdlog_vendor/issues/16>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#13 <https://github.com/ros2/spdlog_vendor/issues/13>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Simon Honigmann

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 08 Apr 2021 07:00:00 -0000

ros-foxy-spdlog-vendor (1.1.2-1focal) focal; urgency=high

  * Add an external package QD for the spdlog library (#8 <https://github.com/ros2/spdlog_vendor/issues/8>)
  * Remove included extra ament_copyright (#12 <https://github.com/ros2/spdlog_vendor/issues/12>)
  * Enable Copyright linter tests + Add Contributing.md file (#11 <https://github.com/ros2/spdlog_vendor/issues/11>)
  * Add quality declaration spdlog_vendor (#6 <https://github.com/ros2/spdlog_vendor/issues/6>)
  * Contributors: Jorge Perez, Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-spdlog-vendor (1.1.1-1focal) focal; urgency=high

  * Silence warning from GNUInstallDirs on Windows. (#10 <https://github.com/ros2/spdlog_vendor/issues/10>)

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 24 Apr 2020 07:00:00 -0000

ros-foxy-spdlog-vendor (1.1.0-1focal) focal; urgency=high

  * suppress sign conversion warning (#7 <https://github.com/ros2/spdlog_vendor/issues/7>)
  * Fix linting (#3 <https://github.com/ros2/spdlog_vendor/issues/3>)
  * Spdlog vendor update (#2 <https://github.com/ros2/spdlog_vendor/issues/2>)
  * Enable linter tests on spdlog_vendor (#1 <https://github.com/ros2/spdlog_vendor/issues/1>)
  * Contributors: Anas Abou Allaban, Chris Lalancette, Jorge Perez, Karsten Knese

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 10 Apr 2020 07:00:00 -0000

ros-foxy-spdlog-vendor (1.0.1-1focal) focal; urgency=high

  * Add spdlog depend to the package.xml
  * Don't build the benchmark, tests, or examples.
  * Initial commit.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 03 Oct 2019 07:00:00 -0000
